#ifndef TunnelDialog_h
#define TunnelDialog_h

// $Id: TunnelDialog.h,v 1.5 2013/04/29 18:27:14 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "TunnelAttributes.h"
#include "CustomDialog.h"

#include <QSpinBox>

class LineEditor;

//! handles ssh connection attributes
class TunnelDialog: public CustomDialog
{

    Q_OBJECT

        public:

    //! constructor
    TunnelDialog( QWidget* parent = 0 );

    //! destructor
    virtual ~TunnelDialog( void )
    {}

    //! set connection attributes
    void setTunnelAttributes( const TunnelAttributes& );

    //! get connection attributes
    TunnelAttributes tunnelAttributes( void ) const;

    private:

    //! name editor
    QSpinBox* localPortSpinBox_;

    //! host
    LineEditor* hostEditor_;

    //! user
    QSpinBox* remotePortSpinBox_;


};

#endif
